/** navbar 主體 */
.navbar {
  padding: 0 60px;
  color: $white;
  background-image: $main-gradient;
}

/** navbar 主按鈕 */
.dropdownBtn {
  display: flex;
  align-items: center;
  opacity: 0.8;
}
.nav-item:hover .nav-link {
  opacity: unset;
  .icon-arrow-down-white {
    transform: rotate(180deg);
  }
}
.navbar .navbar-nav .nav-link {
  padding: 24px 12px;
  color: $white;
  &:hover {
    color: $white;
    opacity: unset;
    .icon-arrow-down-white {
      transform: rotate(180deg);
    }
  }

  // navbar 主按鈕箭頭
  .icon-arrow-down-white {
    margin-left: 4px;
    transition: 0.3s;
  }
}

/** navbar 分隔線 */
li.nav-item:nth-last-child(2) {
  padding-right: 12px;
}
.logout-btn {
  padding: 0 24px;
  color: $white;
  border-left: 1px solid rgb(255 255 255 / 50%);
  &:hover {
    color: $white;
  }
}

/** navbar 選單 */
.dropdown:hover .dropdown-menu {
  display: block;
}
.navbar .dropdown-menu {
  @include dropdown-rounded-border(24px, 0, 16px);

  /** navbar 選單定位 */
  top: 60px;
  left: calc(50% - 200px / 2 + 12px);

  // navbar 選單對話框圖示
  &::before {
    position: absolute;
    top: -8px;
    left: calc(50% - 50px / 2 + 12px);
    width: 24px;
    height: 24px;
    content: '';
    background-color: $white;
    border-radius: 4px;
    transform: rotate(45deg);
  }

  // navbar 選單按鈕
  a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 170px;
    padding-top: 9px;
    padding-bottom: 11px;
    color: $gray-700;
    cursor: pointer;
    &:hover {
      color: $main;
      background-color: transparent;
      transition: 0.2s;
      .arrow-icon {
        @include common-icon('@/assets/icons/chevron-right-blue.svg');

        margin-left: 4px;
      }
    }

    // navbar 選單按鈕箭頭
    .arrow-icon {
      transition: 0.3s;
    }
  }
}
